import request from '@/utils/request'

// 查询客户履历列表
export function listHistory(query) {
  return request({
    url: '/business/accountHistory/list',
    method: 'get',
    params: query
  })
}

// 查询客户履历详细
export function getHistory(id) {
  return request({
    url: '/business/accountHistory/' + id,
    method: 'get'
  })
}

// 新增客户履历
export function addHistory(data) {
  return request({
    url: '/business/accountHistory',
    method: 'post',
    data: data
  })
}

// 修改客户履历
export function updateHistory(data) {
  return request({
    url: '/business/accountHistory',
    method: 'put',
    data: data
  })
}

// 删除客户履历
export function delHistory(id) {
  return request({
    url: '/business/accountHistory/' + id,
    method: 'delete'
  })
}